NewSimDialog Class Reference

The NewSimDialog class enables adding a new Simulator Session to the database or editing an existing one. More...

`#include <newsimdialog.h>`

Inheritance diagram for NewSimDialog:

## Public Member Functions

| NewSimDialog (QWidget *parent=nullptr)
| create a NewSimDialog to add a new Simulator Entry to the database
| NewSimDialog (int row_id, QWidget *parent=nullptr)
| create a NewSimDialog to edit an existing Simulator Entry More...

## Detailed Description

The NewSimDialog class enables adding a new Simulator Session to the database or editing an existing one.

The NewSimDialog offers two constructors, one is used to create a new Simulator Entry from scratch, while the other one is used to edit an existing entry. The existing entry is identified by its ROW ID in the database and is then retreived, its data being used to pre-fill the UI to enable editing the existing data.

A QCompleter provides in-line completion for the aircraft type field.

## Constructor & Destructor Documentation

## NewSimDialog()

NewSimDialog::NewSimDialog | ( | int | row_id,
|  | QWidget * | parent = `nullptr`
| ) |  |

explicit

create a NewSimDialog to edit an existing Simulator Entry

Parameters

  row_id | of the entry to be edited

The documentation for this class was generated from the following files:

- src/gui/dialogues/newsimdialog.h
- src/gui/dialogues/newsimdialog.cpp